Nocturnally Psychologizing Millipede

    eslint-config-uber-es2015

    3.1.2 • Public • Published

    eslint-config-uber-es2015 NPM version

    The base es2015 eslint config for web JavaScript at Uber

    Installation

    Install eslint either locally or globally.

    npm install --save-dev eslint

    If you installed eslint locally, you should install eslint-config-uber-es2015 locally too. Otherwise, install it globally.

    npm install --save-dev eslint-config-uber-es2015

    Usage

    Initialize a .eslintrc file or append to an existing one.

    Note: you can also configure eslint with other types of config files

    Before

    {
      "rules": {},
      "extends": []
    }

    After

    {
      "rules": {},
      "extends": [
        "eslint-config-uber-es2015"
      ]
    }

    eslint-config-uber-es5 is already included, so there's no need to extend it.

    ===

    🔙 to uber-eslint home

    Install

    npm i eslint-config-uber-es2015

    DownloadsWeekly Downloads

    2,756

    Version

    3.1.2

    License

    MIT

    Last publish

    Collaborators

    • uber